
Redmine - Defect #14792

Don't add a display name and extra angle brackets in List-Id header field

2013-08-28 11:19 - Jan Niggemann (redmine.org team member)

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

Continued from here: http://www.redmine.org/boards/1/topics/39232

If Setting.mail_from already contains a (valid) address like "Ticket System <DoNotReplys@mydomain.com>", then it's wrong to insert

angle brackets in this line http://www.redmine.org/projects/redmine/repository/revisions/11988/entry/trunk/app/models/mailer.rb#L389

It creates List-Ids of the form "<Ticket System <DoNotReplys@mydomain.com>>", which, if I understand correctly, are not RFC

compliant: http://www.ietf.org/rfc/rfc2919.txt

See also #10888 and propsed patch #13359

Related issues:

Related to Redmine - Feature #13359: Add project identifier to List-Id header... Closed

Related to Redmine - Defect #30785: Mail handler does not ignore emails sent ... Closed

Related to Redmine - Feature #5913: Authors name in from  address of email no... Closed 2010-07-20

Associated revisions

Revision 17873 - 2019-02-16 23:45 - Go MAEDA

Test that List-Id header field does not include display name and extra angle brackets (#14792).

Patch by Go MAEDA.

History

#1 - 2013-09-04 11:36 - Toshi MARUYAMA

- Related to Feature #13359: Add project identifier to List-Id header in notification emails for better Gmail filtering added

#2 - 2019-02-11 13:38 - Go MAEDA

- Related to Defect #30785: Mail handler does not ignore emails sent from emission email address if Setting.mail_from includes display name added

#3 - 2019-02-13 04:05 - Go MAEDA

- File fix-14792.diff added

- Priority changed from Low to Normal

- Target version set to 4.0.2

You can fix this issue with the attached patch.

#4 - 2019-02-14 03:05 - Go MAEDA

The patch attached in #5913#note-17 also fixes this issue. It is unnecessary to merge fix-14792.diff if that patch is merged.

#5 - 2019-02-16 00:54 - Go MAEDA

- Related to Feature #5913: Authors name in from  address of email notifications added

#6 - 2019-02-16 01:01 - Go MAEDA

- Assignee set to Go MAEDA

- Target version changed from 4.0.2 to 4.1.0
- Resolution set to Fixed

Fixed in r17870 along with #5913.

I will commit the following test later.

Index: test/unit/mailer_test.rb

===================================================================

--- test/unit/mailer_test.rb    (リビジョン 17870)

+++ test/unit/mailer_test.rb    (作業コピー)

@@ -213,6 +213,14 @@

     assert_equal issue.author.login, mail.header['X-Redmine-Sender'].to_s

   end

+  def test_email_headers_list_id_should_not_include_display_name

+    Setting.mail_from = 'Redmine <redmine@example.net>'

+    issue = Issue.find(1)

+    Mailer.deliver_issue_add(issue)

+    mail = last_email

+    assert_equal '<redmine.example.net>', mail.header['List-Id'].to_s

+  end

+

   def test_plain_text_mail

     Setting.plain_text_mail = 1

     journal = Journal.find(2)

#7 - 2019-02-16 15:45 - Go MAEDA

Adding a test method is too much. We can test that display name and other stuff is not included by adding only one line.

Index: test/unit/mailer_test.rb

===================================================================

--- test/unit/mailer_test.rb    (リビジョン 17872)

+++ test/unit/mailer_test.rb    (作業コピー)

@@ -198,11 +198,13 @@

   end

   def test_email_headers

+    Setting.mail_from = 'Redmine <redmine@example.net>'

     issue = Issue.find(1)

     Mailer.deliver_issue_add(issue)

     mail = last_email

     assert_equal 'All', mail.header['X-Auto-Response-Suppress'].to_s

     assert_equal 'auto-generated', mail.header['Auto-Submitted'].to_s

     assert_equal '<redmine.example.net>', mail.header['List-Id'].to_s

   end

</diff>

#8 - 2019-02-16 23:57 - Go MAEDA

- Subject changed from Don't add angle brackets in List-Id / mailer.rb to Don't add a display name and extra angle brackets in List-Id header field

- Status changed from New to Closed

Updated the test to catch this issue (r17873).

Files

fix-14792.diff 1.22 KB 2019-02-13 Go MAEDA
